## Apache Zeta Components Manual :: Docs For Class ezcPersistentGeneratorDefinition

### PersistentObject::ezcPersistentGeneratorDefinition

### Class ezcPersistentGeneratorDefinition

Defines a persistent object id generator.

For more information on how to use this class see ezcPersisentObjectIdProperty

Source for this file: /PersistentObject/src/structs/generator_definition.php

    ezcBaseStruct
       |
       --ezcPersistentGeneratorDefinition

Version: | //autogen//

### Member Variables

public string | `$class` The name of the class implementing the generator.
public array(string=>string) | `$params` Any parameters required by the generator. Parameters should be in the format array('parameterName' => parameterValue )

### Method Summary

public static ezcPersistentGeneratorDefinition | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcPersistentGeneratorDefinition | `__construct( $class , [ $params = array()] )` Constructs a new PersistentGeneratorDefinition where $class contains name of the class to load and $params contains a list of parameters provided to the constructor of that class.

### Methods

#### __set_state

static ezcPersistentGeneratorDefinition __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcPersistentGeneratorDefinition __construct( string $class , [ $params = array()] )

Constructs a new PersistentGeneratorDefinition where $class contains name of the class to load and $params contains a list of parameters provided to the constructor of that class.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$class` | string |
`$params` | array |

Documentation generated by phpDocumentor 1.4.3